const React = require('react');

export default class Tooltip extends React.Component {
    getDeafaultProps() {
        return {
            position: 'up'
        }
    }

    render() {
        const { text, position, children } = this.props;

        return (
            <span data-balloon={text} data-balloon-pos={position}>
                {children}
            </span>
        );
    }
}

Tooltip.propTypes = {
    text: React.PropTypes.string,
    position: React.PropTypes.oneOf(['up', 'down', 'left', 'right'])
};
